> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/instance/placement-group/describeplacementgroups.md).

# DescribePlacementGroups

## 1. 接口描述

本接口(DescribePlacementGroups)用于查询一个或多个置放组的信息。用户可以根据置放组ID、名称或可用区等条件来查询置放组的详细信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称              | 必选 | 类型              | 描述                                                                                                               |
| ----------------- | -- | --------------- | ---------------------------------------------------------------------------------------------------------------- |
| placementGroupIds | 否  | Array of String | <p>根据置放组ID列表筛选。</p><p>最多支持100个ID查询。</p>                                                                          |
| name              | 否  | String          | <p>根据置放组名称筛选。</p><p>支持模糊匹配。</p>                                                                                  |
| zoneId            | 否  | String          | <p>根据置放组所属可用区筛选。</p><p>可通过调用 <a href="/api-reference/cn/zec/location/describezones.md">DescribeZones</a> 获取。</p> |
| pageSize          | 否  | Integer         | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>                                                                             |
| pageNum           | 否  | Integer         | <p>返回的分页数。</p><p>默认值：1</p>                                                                                       |
| resourceGroupId   | 否  | String          | 根据资源组ID筛选。                                                                                                       |

## 3. 响应结果

| 参数名称       | 类型                                                                                       | 描述                                                       |
| ---------- | ---------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                   | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                  | 符合条件的数据总数。                                               |
| dataSet    | Array of [PlacementGroupInfo](/api-reference/cn/zec/datastructure.md#placementgroupinfo) | 置放组结果集。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询置放组列表。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePlacementGroups
<Common Request Params>

Request：
{
  "pageSize": 20,
  "pageNum": 1
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 1,
    "dataSet": [
      {
        "placementGroupId": "placementgroup-xxxxxxxx",
        "name": "my-placement-group",
        "zoneId": "asia-east-1a",
        "partitionNum": 3,
        "affinity": 1,
        "instanceCount": 2,
        "instanceIds": [
          "vm-xxxxxxxx",
          "vm-yyyyyyyy"
        ],
        "createTime": "2026-03-26T08:00:00Z",
        "resourceGroup": {
          "resourceGroupId": "xxxxxxxx",
          "resourceGroupName": "default"
        },
        "tags": {}
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
